## NAME

r.what - Queries raster map layers on their category values and category labels.

## SYNOPSIS

r.what
r.what help
r.what [-fci] input=string[,string,...] [cache=integer] [null=string] [east_north=east,north[,east,north,...]]

### Flags:

-f
  Show the category label in the grid cell(s)
-c
  Turn on cache reporting
-i
  Output integer category values, not cell values

### Parameters:

input=string[,string,...]
  Name of existing raster map(s) to query
cache=integer
  Size of point cache
  Default: 500
null=string
  Char string to represent no data cell
  Default: *
east_north=east,north[,east,north,...]
  Coordinates for query

## DESCRIPTION

r.what outputs the category values and (optionally) the category labels associated with user-specified locations on raster input map(s). Locations are specified as geographic x,y coordinate pairs (i.e., pair of eastings and northings); the user can also (optionally) associate a label with each location.

If the user does not redirect an input file containing these coordinates into the program or specify them on the command line, the program will query the user for point locations and labels.

## EXAMPLES

The contents of the ASCII inputfile to r.what can be typed in at the keyboard, redirected from a file, or piped from another program (like d.where). Each line of the input consists of an easting, a northing, and an optional label, which are separated by spaces. In interactive mode, the word end is typed to end input of coordinates to r.what. For example:

  635342.21 7654321.09 site 1
  653324.88 7563412.42 site 2
  end

r.what output consists of the input geographic location and label, and, for each user-named raster map layer, the category value, and (if -f is specified) the category label associated with the cell(s) at this geographic location. Sample input (in regular font) to and output (`in plain text`) from r.what are given below.

  r.what input=soils,aspect
  635342.21 7654321.09 site 1
  653324.88 7563412.42 site 2
  end
``
  635342.21|7654321.09|site 1|45|21
  653324.88|7563412.42|site 2|44|20

  r.what -f input=soils,aspect
  635342.21 7654321.09 site 1
  653324.88 7563412.42 site 2
  end
``
  635342.21|7654321.09|site 1|45|NaC|21|30 degrees NW
  653324.88|7563412.42|site 2|44|NdC|20|15 degrees NW

Coordinates for query may be entered on the command line directly:
  r.what input=soils,aspect east_north=635342.21,7654321.09,653324.88,7563412.42 ``
  635342.21|7654321.09|site 1|45|21
  653324.88|7563412.42|site 2|44|20

  ## NOTE

  The maximum number of raster map layers that can be queried at one time is 150.

  ## SEE ALSO

  d.vect, d.where, r.cats, r.report, r.stats, r.series, v.what.rast

  ## AUTHOR

  Michael Shapiro, U.S. Army Construction Engineering Research Laboratory

  Last changed: $Date: 2004/08/10 14:05:19 $

  Help Index